Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.tools.script
Class ScriptOperations.ServerDefinition

    java.lang.Object
      oracle.ifs.core.tools.script.ScriptOperations.ServerDefinition

Enclosing class:
  ScriptOperations

    public static final class ScriptOperations.ServerDefinition

extends java.lang.Object

Structure holds data require to construct a single server entry property within a node.

Constructor Summary
`ScriptOperations.ServerDefinition(java.lang.String name, ServerConfiguration sc, java.lang.String serviceName, boolean isActive, boolean initiallyStarted, int initialPriority, PropertyDefinition[] pbDefs, boolean replacePrev)` Constructs a ServerDefinition.

Method Summary
`static DomainConfiguration.DefaultServerDefinition[]` | `prepare(ScriptOperations.ServerDefinition[] sds)` Prepares an array of DefaultServerDefinition[] from the specified set of ServerDefinitions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptOperations.ServerDefinition

    public ScriptOperations.ServerDefinition(java.lang.String name,
                                             ServerConfiguration sc,
                                             java.lang.String serviceName,
                                             boolean isActive,
                                             boolean initiallyStarted,
                                             int initialPriority,
                                             PropertyDefinition[] pbDefs,
                                             boolean replacePrev)

  Constructs a ServerDefinition.

  Parameters:
    `name` - server name identifier within node
    `sc` - server configuration
    `serviceName` - name identifier of service configuration leveraged
    `isActive` - whether server active within node
    `initiallyStarted` - whether server initially started
    `initialPriority` - initial server priority
    `pbDefs` - ServerConfiguration overrides
    `replacePrev` - whether to replace all previous overrides (for update operation only)

Method Detail

### prepare

    public static DomainConfiguration.DefaultServerDefinition[] prepare(ScriptOperations.ServerDefinition[] sds)

  Description copied from class: `ScriptOperations.ServerDefinition`
  Prepares an array of DefaultServerDefinition[] from the specified set of ServerDefinitions.

  Parameters:
    `sds` - the ServerDefinitions
  Returns:
    the corresponding DefaultServerDefinitions

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD